//
//  WFGroupFilesEnumerator.h
//  WorkplaceFilesProvider
//
//  Created by Amy Worrall on 28/06/2017.
//  Copyright © 2017 Amy Worrall. All rights reserved.
//

#import <FileProvider/FileProvider.h>

#import <Foundation/Foundation.h>
#import "FileDBProviderProtocol.h"


@interface WFFolderContentsEnumerator : NSObject <NSFileProviderEnumerator>

- (instancetype)init NS_UNAVAILABLE;
- (instancetype)initWithEnumeratedItemIdentifier:(NSFileProviderItemIdentifier)enumeratedItemIdentifier;

@property (nonatomic, readonly, strong) NSFileProviderItemIdentifier enumeratedItemIdentifier;

@property (nonatomic, weak) id<FileDBProvider> delegate;

@end
